Subject: Re: bug#51327: 28.0.60; emacsclient warns about XDG_RUNTIME_DIR when starting daemon on-demand

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Dec 2021 09:32:00 +0200

> From: Ulrich Mueller <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Paul Eggert <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Wed, 08 Dec 2021 22:56:24 +0100
> 
> >> If it's a new command-line argument, and if the participants in this
> >> discussion can live with it as the solution for this problem, I'm okay
> >> with having it on emacs-28.
> 
> That's not an acceptable solution, because it will break the existing
> workflow of users. Furthermore, it will make users jump through hoops to
> achieve functionality which was the default in previous versions.
> 
> So, can we please think about a better solution, and not knee-jerk
> something half-baked into Emacs 28, like checking for yet another
> environment variable?
> 
> Even reverting to the Emacs 27 behaviour would be better than what has
> been suggested above: In Emacs 27, you can set EMACS_SOCKET_NAME to make
> things work. There's no advantage in introducing yet another variable,
> which would only complicate things.

If you guys can arrive at something that you-all can live with, we can
make some progress, maybe even for Emacs 28.  But if everyone will
just keep saying that any solution except the one he/she suggested is
unacceptable, we have a stalemate, and that's not good for anyone.

So my suggestion to all the participants is to abandon the dogmas and
try to find a compromise which will be acceptable.  Bonus points for
finding a compromise that is simple enough to fix this on the release
branch.